Costfluent Docs
  • Pricing
  • Changelog
  • costfluent.com
  • Documentation
  • Guides
  • API Reference
Product
  • Pricing
  • Security
  • Changelog
Developers
  • API reference
  • Terraform
  • llms.txt
Legal
  • Privacy
  • Terms
  • Imprint
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedelete
Workspace Providers
    List workspace providersgetCreate workspace providerpostGet workspace providergetUpdate workspace providerputDelete workspace providerdelete
Virtual Tags
    List virtual tagsgetCreate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Users
    List usersgetInvite userpostGet userget
Teams
    List teamsgetCreate teampostGet teamgetUpdate teamputDelete teamdeleteAdd team memberpostUpdate team memberputRemove team memberdeleteList team workspace accessgetSet team workspace accessputRemove team workspace accessdelete
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetUpdate providerputDelete providerdeleteGet available providersgetGet the AWS connectorgetGet provider sync historygetProvision the GCP service accountpostTest provider connectionpostTrigger provider syncpost
Kubernetes
    Report Kubernetes usagepost
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdeleteSet folder saved filterput
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostCreate dashboard widgetpostGet dashboardgetUpdate dashboardputDelete dashboarddeleteGet dashboard widgetgetUpdate dashboard widgetputDelete dashboard widgetdeleteSet dashboard saved filterput
Custom Provider
    List uploadsgetUpload cost filespostGet uploadgetDelete uploaddeleteSubmit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Filters
    Translate a cost filterget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Business Metrics
    List business metricsgetCreate business metricpostGet business metricgetUpdate business metricputDelete business metricdeleteList business metric valuesgetImport business metric valuespost
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Audit Logs
    List audit logget
Apps
    List appsgetCreate apppostGet appgetUpdate appputDelete appdelete
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Schemas
Costfluent Public API
Costfluent Public API

Audit Logs

Download schema

List audit log

GET
https://api.costfluent.com
/v1/audit-logs
Bearer (API token)

Returns the organization's audit log, newest first: what members, API tokens and the system changed. Needs an organization token with the audit log capability.

List audit log › query Parameters

page
​integer · int32 · required
limit
​integer · int32 · required
eventName
​string | null
objectType
​string | null
actorId
​
targetUserId
​
from
​string | null · date-time
to
​string | null · date-time

List audit log › Responses

Success

PaginatedResponseOfAuditLogEntryResponse
​PaginationLinks · required
​AuditLogEntryResponse[] · required
GET/v1/audit-logs
curl 'https://api.costfluent.com/v1/audit-logs?page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "id": "id", "eventName": "eventName", "objectType": "objectType", "actorId": "string", "actorName": "actorName", "targetUserId": "string", "managedBy": "managedBy", "ipAddress": "ipAddress", "userAgent": "userAgent", "metadata": {}, "createdAt": "2024-08-25T15:00:00Z" } ] }
json
application/json

BillingApps